Subject: RE: Can't obtain write permissions on my file...
From: Axelle Apvrille <[email-masked]>
To: Bernard Dautrevaux <[email-masked]>
Cc: [email-masked]
Date: Tue, 19 Feb 2002 09:49:18 +0100 (CET)

> So it seems that is linked to emacs; can you
> read/write your file under
> another editor (like vi)? just to confirm it's
> really an Emacs problem.

I haven't got vi, but I tried a simple notepad under
Windows, and I modified my file without problem.

> Yes, this is an environment variable that can be set
> either in the
> workstation properties dialog, or in th ecygwin.bat
> script (but not after:
> it must be set BEFORE the first cygwin program
> starts).

Okay I've set that environment variable.

> Not sure it is CVS, but you may create a file
> manually on Unix, then try to
> edit it under Emacs from Windows;

If I try to create a file on Unix, then there's no
problem I can read & write it on Windows. 

Uh... maybe there's a problem with Emacs detecting my
"CVS" file. I mean: the file is checked-out under Unix
for user "axelle" (Unix ID). Under Windows, I'm
another user - say "axl". It's still me of course, but
how can he know (and how to tell him)...
 
> if it works, then
> maybe CVS has set-up the
> file properties on UNIX strangely. BTW IIRC Solaris
> handles not only
> traditional Unix attributes (the usual -rw--r--r
> stuff) but also ACLs
> (access control lists).
Yes I know, I've set ACLs on my CVS repository. But
the files I access do not have ACLs. I wouldn't think
this is a problem.

> If these are enabled on your
> Solaris box, you should
> definitely check the rights set by CVS for the
> problematic file and compare
> with one you can edit from Emacs on Windows.

I can't see any difference.

Actually, I tried the following trick : 
if I commit my file (under Unix) and do not touch it
under Unix, then I can read/write it on Emacs on
Windows. Whenever I touch the file on Unix, it gets
not writable on Windows. But there's absolutely no
change in my file permissions... 
Really strange, no ?!

> PS: Please keep these kind of discussion on the
> list; the various mails may
> trigger ideas from others on the list that may
> finally discover the (perhaps
> totally unrelated) cause to your problem, or to a
> problem of someone else
> :-)

Yes, you're perfectly right. Actually, I forgot to
follow up my last answer to the group...

Axelle.

___________________________________________________________
Do You Yahoo!? -- Une adresse @yahoo.fr gratuite et en français !
Yahoo! Mail : http://fr.mail.yahoo.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/